# Approve customer

`POST /omni/process/approve`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Approve customer for omnichannel program. Body is optional and used for auto approve when only specific features
should be approved. It is not possible to approve twice the same user (e.g. with the same phone number).

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `interviewId` | query | string |  | Session id for which approval is requested. |
| `api-version` | header | string | yes |  |

## Request body

Content-Type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `approveComponents` | array[string] |  |  |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `success` | boolean |  | Flag indicating request passed successfully. |
| `sessionStatus` | string |  | Session status Enum: `Alive`, `Closed`, `Deleted` |
| `uuid` | string |  | Id of newly created customer if approval was successful. |
| `token` | string |  | Access token to be used for newly created customer, in case approval was successful. |

### 400

Custom error status:
- 4006: User with given phone already exists

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
